From 1f1eea9821fc116282432a24540f9af9404f791b Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Aug 03 2015 15:53:45 +0000
Subject: [PATCH 214/1001] Start with random headers for hubs.  Allow changing them later.


---

diff --git a/hubs/models.py b/hubs/models.py
index 4045200..79a481f 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -25,6 +25,8 @@ import datetime
 import json
 import logging
 import operator
+import os
+import random
 
 import sqlalchemy as sa
 from sqlalchemy import create_engine
@@ -63,6 +65,13 @@ log = logging.getLogger(__name__)
 placekitten = lambda: "https://placekitten.com/g/320/320"
 
 
+def randomheader():
+    location = '/static/img/headers/'
+    header_dir = os.path.dirname(__file__) + location
+    choice = random.choice(os.listdir(header_dir))
+    return location + choice
+
+
 def init(db_url, debug=False, create=False):
     """ Create the tables in the database using the information from the
     url obtained.
@@ -122,6 +131,7 @@ class Hub(BASE):
 
     # A URL to the "avatar" for this hub.
     avatar = sa.Column(sa.String(256), default=placekitten)
+    header_img = sa.Column(sa.String(256), default=randomheader)
 
     #fas_group = sa.Column(sa.String(32), nullable=False)
 
